Bug 1979996 - Dashboards do not support automatic unit transformation for time
Summary: Dashboards do not support automatic unit transformation for time
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.9.0
Assignee: Andrew Pickering
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-07 14:51 UTC by Stavros Kontopoulos
Modified: 2021-10-18 17:38 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Dashboard screenshots should be updated.
Clone Of:
Environment:
Last Closed: 2021-10-18 17:38:24 UTC
Target Upstream Version:
sthaha: needinfo-


Attachments (Terms of Use)
scale issue (246.49 KB, image/png)
2021-07-07 14:51 UTC, Stavros Kontopoulos
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9455 0 None open Bug 1979996: Monitoring dashboards: Support units for graph Y-axes 2021-07-09 09:37:12 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:38:42 UTC

Description Stavros Kontopoulos 2021-07-07 14:51:46 UTC
Created attachment 1799224 [details]
scale issue

Description of problem:
Dashboards do not support automatic unit transformation for time.

If value is at the sec scale it should be mapped accordingly. Attached screenshot shows a case where instead of seeing 10 secs user sees 10K ms.

It seems that this is already supported for bytes. This affects Serverless dashboards.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Install Serverless operator from master (https://github.com/openshift-knative/serverless-operator) with  Knative Eventing, Serving and Kafka 
make images install
make install-strimzi
make install-kafka

2. Install an apiserversource and related kafka channel:
https://gist.github.com/skonto/2c7eeab8b3d1d4ea3d007017971d0ea6

3. Check Knative channel dashboard after a few minutes

Note here that in the same graph there are values at very different magnitude (attached file).

In general this should be reproducible with any dashboard that relies on time units.

Actual results:

Scale does not changed.

Expected results:
Scale should be changed.

Additional info:

Comment 3 Junqi Zhao 2021-07-12 14:13:26 UTC
tested with 4.9.0-0.nightly-2021-07-11-143719, followed steps in Comment 0
docker version 20.10.7
# yq --version
yq version 3.4.1

# oc get clusterserviceversion
NAME                          DISPLAY                        VERSION   REPLACES                      PHASE
serverless-operator.v1.17.0   Red Hat OpenShift Serverless   1.17.0    serverless-operator.v1.16.0   Succeeded

values on the graph use the same magnitude, for UX 
if value > 1000, will convert to sec
otherwise will still use ms

see from the picture

Comment 11 errata-xmlrpc 2021-10-18 17:38:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.